CREATE TABLE row_status_type (
 rstat_type_cod      SMALLINT     NOT NULL,
 name                VARCHAR(254) NOT NULL,
 gmt_last_updated    CHAR(29)     NOT NULL,
 last_upd_db_site    INTEGER      NOT NULL,
 last_upd_db_id      INTEGER      NOT NULL,
 rstat_type_code     SMALLINT     NOT NULL,
    PRIMARY KEY (rstat_type_cod)
 );

insert into row_status_type values (1,'Active',
'1995-12-28 18:00:00-000000000',0,0,1);

insert into row_status_type values (2,'Inactive',
'1995-12-28 18:00:00-000000000',0,0,1);

insert into row_status_type values (3,'Soft Deleted',
'1995-12-28 18:00:00-000000000',0,0,1);

CREATE TABLE site (
 site_code           INTEGER      NOT NULL,
 company_name        VARCHAR(254) NOT NULL,
 site_name           VARCHAR(254) NOT NULL,
 phys_addr           VARCHAR(254),
 phys_city_name      VARCHAR(60),
 phys_state_abbr     CHAR(2),
 phys_postal_code    VARCHAR(10),
 phys_country_abb    CHAR(3),
 mail_addr           VARCHAR(254),
 mail_city_name      VARCHAR(60),
 mail_state_abbr     CHAR(2),
 mail_postal_code    VARCHAR(10),
 mail_country_abb    CHAR(3),
 us_ph_number        CHAR(10),
 int_ph_contry_no    VARCHAR(3),
 int_ph_city_no      VARCHAR(5),
 int_ph_local_no     VARCHAR(10),
 us_fax_number       CHAR(10),
 int_fax_cntry_no    VARCHAR(3),
 int_fax_city_no     VARCHAR(5),
 int_fax_local_no    VARCHAR(10),
 business_desc       VARCHAR(254),
 primary_sic         VARCHAR(8),
 gmt_last_updated    CHAR(29)     NOT NULL,
 last_upd_db_site    INTEGER      NOT NULL,
 last_upd_db_id      INTEGER      NOT NULL,
 rstat_type_code     SMALLINT     NOT NULL,
     PRIMARY KEY (site_code),
FOREIGN KEY (rstat_type_code) REFERENCES row_status_type (rstat_type_cod)
 );

insert into site (site_code, company_name, site_name, gmt_last_updated, 
     last_upd_db_site, last_upd_db_id, rstat_type_code) values (0,'MIMOSA',
     'Home Office', '1995-12-28 18:00:00-000000000',0,0,1);

insert into site (site_code, company_name, site_name, gmt_last_updated, 
     last_upd_db_site, last_upd_db_id, rstat_type_code) values (1234567890,
     'Toot Sweet Inc.','Taffy Plant','1995-12-28 18:00:00-000000000',0,0,1);

CREATE TABLE site_database (
 db_site             INTEGER      NOT NULL,
 db_id               INTEGER      NOT NULL,
 name                VARCHAR(254) NOT NULL,
 mf_db_site          INTEGER,
 mf_db_id            INTEGER,
 mf_duns_code        INTEGER,
 gmt_last_updated    CHAR(29)     NOT NULL,
 last_upd_db_site    INTEGER      NOT NULL,
 last_upd_db_id      INTEGER      NOT NULL,
 rstat_type_code     SMALLINT     NOT NULL,
    PRIMARY KEY (db_site, db_id),
    FOREIGN KEY (db_site) REFERENCES site (site_code),
    FOREIGN KEY (rstat_type_code) REFERENCES row_status_type (rstat_type_cod)
 );

insert into site_database (db_site, db_id, name, gmt_last_updated, 
     last_upd_db_site, last_upd_db_id, rstat_type_code) values (1234567890,1, 
     'CMMS Database','1999-07-12 18:00:00-000000000',1234567890,1,1);

insert into site_database (db_site, db_id, name, gmt_last_updated, 
     last_upd_db_site, last_upd_db_id, rstat_type_code) values (0,0, 
     'MIMOSA Reference Database 0','1999-07-12 18:00:00-000000000',0,0,1);

insert into site_database (db_site, db_id, name, gmt_last_updated, 
     last_upd_db_site, last_upd_db_id, rstat_type_code) values (0,1, 
     'MIMOSA Reference Database 1','1999-07-12 18:00:00-000000000',0,0,1);

CREATE TABLE manufacturer (
 mf_db_site          INTEGER      NOT NULL,
 mf_db_id            INTEGER      NOT NULL,
 mf_duns_code        INTEGER      NOT NULL,
 manuf_trade_name    VARCHAR(254) NOT NULL,
 company_name        VARCHAR(254) NOT NULL,
 phys_addr           VARCHAR(254),
 phys_city_name      VARCHAR(30),
 phys_state_abbr     CHAR(2),
 phys_postal_code    VARCHAR(10),
 phys_country_abbr   CHAR(3),
 mail_addr           VARCHAR(254),
 mail_city_name      VARCHAR(60),
 mail_state_abbr     CHAR(2),
 mail_postal_code    VARCHAR(10),
 mail_country_abbr   CHAR(3),
 us_ph_number        CHAR(10),
 int_ph_country_no   VARCHAR(3),
 int_ph_city_no      VARCHAR(5),
 int_ph_local_no     VARCHAR(10),
 us_fax_number       CHAR(10),
 int_fax_country_no  VARCHAR(3),
 int_fax_city_no     VARCHAR(5),
 int_fax_local_no    VARCHAR(10),
 business_desc       VARCHAR(254),
 primary_sic         VARCHAR(8),
 gmt_last_updated    CHAR(29)     NOT NULL,
 last_upd_db_site    INTEGER      NOT NULL,
 last_upd_db_id      INTEGER      NOT NULL,
 rstat_type_code     SMALLINT     NOT NULL,
    PRIMARY KEY (mf_db_site, mf_db_id, mf_duns_code),
    FOREIGN KEY (mf_db_site, mf_db_id) REFERENCES 
        site_database (db_site, db_id),
    FOREIGN KEY (last_upd_db_site, last_upd_db_id) REFERENCES 
        site_database (db_site, db_id),
    FOREIGN KEY (rstat_type_code) REFERENCES row_status_type (rstat_type_cod)
 );

insert into manufacturer
     (mf_db_site,mf_db_id,mf_duns_code,manuf_trade_name,company_name,
      phys_addr,phys_city_name,phys_state_abbr,phys_postal_code,
      phys_country_abbr,mail_addr,mail_city_name,mail_state_abbr,
      mail_postal_code,mail_country_abbr,us_ph_number,int_ph_country_no,
      int_ph_city_no,int_ph_local_no,us_fax_number,int_fax_country_no,
      int_fax_city_no,int_fax_local_no,business_desc,primary_sic,
      gmt_last_updated,last_upd_db_site,last_upd_db_id,rstat_type_code)
      values (0,0,1367960,'GENERAL ELECTRIC COMPANY',
      'GENERAL ELECTRIC COMPANY','3135 EASTON TPKE','FAIRFIELD','CT',
      '06432-1041','USA','3135 EASTON TPKE','FAIRFIELD','CT','06432-1041',
      'USA','2033732211',null,null,null,null,null,null,null,
      'AIRCRAFT ENGINES AND ENGINE PARTS','3724',
      '1995-09-01 00:00:00-000000000',0,0,1);

CREATE TABLE mim_tech_type (
 tech_type_code      INTEGER      NOT NULL,
 abbrev              VARCHAR(40),
 name                VARCHAR(254) NOT NULL,
 gmt_last_updated    CHAR(29)     NOT NULL,
 last_upd_db_site    INTEGER      NOT NULL,
 last_upd_db_id      INTEGER      NOT NULL,
 rstat_type_code     SMALLINT     NOT NULL,
    PRIMARY KEY (tech_type_code),
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
        REFERENCES site_database (db_site, db_id),
    FOREIGN KEY (rstat_type_code) REFERENCES row_status_type (rstat_type_cod)
 );

insert into mim_tech_type values (6,'REG',
     'Registry of Assets and Service Segments',
     '1999-07-12 18:00:00-000000000',0,1,1);

insert into mim_tech_type values (7,'WORK',
     'Work Management','1999-07-12 18:00:00-000000000',0,1,1);

CREATE TABLE mim_support_type (
 supp_type_code      INTEGER      NOT NULL,
 abbrev              VARCHAR(40),
 name                VARCHAR(254) NOT NULL,
 gmt_last_updated    CHAR(29)     NOT NULL,
 last_upd_db_site    INTEGER      NOT NULL,
 last_upd_db_id      INTEGER      NOT NULL,
 rstat_type_code     SMALLINT     NOT NULL,
    PRIMARY KEY (supp_type_code),
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
        REFERENCES site_database (db_site, db_id),
    FOREIGN KEY (rstat_type_code) REFERENCES row_status_type (rstat_type_cod)
 );

insert into mim_support_type values (10,
     'XML Server', 'XML Transaction Server','1999-07-12 18:00:00-000000000',
     0,1,1);

create table mim_data_cat_type (
 dcat_type_code      INTEGER      NOT NULL,
 abbrev              VARCHAR(40),
 name                VARCHAR(254) NOT NULL,
 gmt_last_updated    CHAR(29)     NOT NULL,
 last_upd_db_site    INTEGER      NOT NULL,
 last_upd_db_id      INTEGER      NOT NULL,
 rstat_type_code     SMALLINT     NOT NULL,
    PRIMARY KEY (dcat_type_code),
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
        REFERENCES site_database (db_site, db_id),
    FOREIGN KEY (rstat_type_code) REFERENCES row_status_type (rstat_type_cod)
 );

insert into mim_data_cat_type values (1,'SG',
     'Service Segment','1999-07-12 18:00:00-000000000',0,1,1);
 
insert into mim_data_cat_type values (2,'AS',
     'Asset','1999-07-12 18:00:00-000000000',0,1,1);

CREATE TABLE mim_func_type (
 func_type_code      INTEGER      NOT NULL,
 name                VARCHAR(254) NOT NULL,
 gmt_last_updated    CHAR(29)     NOT NULL,
 last_upd_db_site    INTEGER      NOT NULL,
 last_upd_db_id      INTEGER      NOT NULL,
 rstat_type_code     SMALLINT     NOT NULL,
    PRIMARY KEY (func_type_code),
    FOREIGN KEY site_db (last_upd_db_site, last_upd_db_id) REFERENCES site_database (db_site, db_id),
    FOREIGN KEY (rstat_type_code) REFERENCES row_status_type (rstat_type_cod)
 );

insert into mim_func_type values (1, 'Client / Import', '2000-03-27 18:00:00-000000000', 0, 1, 1);
insert into mim_func_type values (2, 'Server / Export', '2000-03-27 18:00:00-000000000', 0, 1, 1);

CREATE TABLE mim_interface_type (
 interf_type_code    INTEGER      NOT NULL, 
 dcat_type_code      INTEGER      NOT NULL, 
 supp_type_code      INTEGER      NOT NULL, 
 func_type_code      INTEGER      NOT NULL, 
 tech_type_code      INTEGER      NOT NULL, 
 version_supported   SMALLINT     NOT NULL, 
 subversion_supp     SMALLINT     NOT NULL, 
 name                VARCHAR(254) NOT NULL,
 gmt_last_updated    CHAR(29)     NOT NULL,
 last_upd_db_site    INTEGER      NOT NULL,
 last_upd_db_id      INTEGER      NOT NULL,
 rstat_type_code     SMALLINT     NOT NULL,
    PRIMARY KEY (interf_type_code),
    FOREIGN KEY (dcat_type_code) REFERENCES mim_data_cat_type (dcat_type_code), 
    FOREIGN KEY (supp_type_code) REFERENCES mim_support_type (supp_type_code),
    FOREIGN KEY (func_type_code) REFERENCES mim_func_type (func_type_code),
    FOREIGN KEY (tech_type_code) REFERENCES mim_tech_type (tech_type_code),
    FOREIGN KEY site_db (last_upd_db_site, last_upd_db_id) REFERENCES site_database (db_site, db_id),
    FOREIGN KEY (rstat_type_code) REFERENCES row_status_type (rstat_type_cod)
 );

insert into mim_interface_type values (1110111, 1, 1, 1, 1, 1, 1, 'TREND-File Import for Service Segments V1.1', '2000-03-27 18:00:00-000000000', 0, 1, 1);
insert into mim_interface_type values (2110111, 2, 1, 1, 1, 1, 1, 'TREND-File Import for Assets V1.1', '2000-03-27 18:00:00-000000000', 0, 1, 1);
insert into mim_interface_type values (1120111, 1, 1, 2, 1, 1, 1, 'TREND-File Export for Service Segments V1.1', '2000-03-27 18:00:00-000000000', 0, 1, 1);
insert into mim_interface_type values (2120111, 2, 1, 2, 1, 1, 1, 'TREND-File Export for Assets V1.1', '2000-03-27 18:00:00-000000000', 0, 1, 1);
insert into mim_interface_type values (1310111, 1, 3, 1, 1, 1, 1, 'TREND-SQL Client for Service Segments V1.1', '2000-03-27 18:00:00-000000000', 0, 1, 1);
insert into mim_interface_type values (2310111, 2, 3, 1, 1, 1, 1, 'TREND-SQL Client for Assets V1.1', '2000-03-27 18:00:00-000000000', 0, 1, 1);
insert into mim_interface_type values (1320111, 1, 3, 2, 1, 1, 1, 'TREND-SQL Server for Service Segments V1.1', '2000-03-27 18:00:00-000000000', 0, 1, 1);
insert into mim_interface_type values (2320111, 2, 3, 2, 1, 1, 1, 'TREND-SQL Server for Assets V1.1', '2000-03-27 18:00:00-000000000', 0, 1, 1);
insert into mim_interface_type values (9610121, 9, 6, 1, 1, 2, 1, 'TREND-XML Client V2.1', '2000-03-27 18:00:00-000000000', 0, 1, 1);
insert into mim_interface_type values (9620121, 9, 6, 2, 1, 2, 1, 'TREND-XML Server V2.1', '2000-03-27 18:00:00-000000000', 0, 1, 1);
insert into mim_interface_type values (1110211, 1, 1, 1, 2, 1, 1, 'VIB-File Import for Service Segments V1.1', '2000-03-27 18:00:00-000000000', 0, 1, 1);
insert into mim_interface_type values (2110211, 2, 1, 1, 2, 1, 1, 'VIB-File Import for Assets V1.1', '2000-03-27 18:00:00-000000000', 0, 1, 1);
insert into mim_interface_type values (1120211, 1, 1, 2, 2, 1, 1, 'VIB-File Export for Service Segments V1.1', '2000-03-27 18:00:00-000000000', 0, 1, 1);
insert into mim_interface_type values (2120211, 2, 1, 2, 2, 1, 1, 'VIB-File Export for Assets V1.1', '2000-03-27 18:00:00-000000000', 0, 1, 1);
insert into mim_interface_type values (1310211, 1, 3, 1, 2, 1, 1, 'VIB-SQL Client for Service Segments V1.1', '2000-03-27 18:00:00-000000000', 0, 1, 1);
insert into mim_interface_type values (2310211, 2, 3, 1, 2, 1, 1, 'VIB-SQL Client for Assets V1.1', '2000-03-27 18:00:00-000000000', 0, 1, 1);
insert into mim_interface_type values (1320211, 1, 3, 2, 2, 1, 1, 'VIB-SQL Server for Service Segments V1.1', '2000-03-27 18:00:00-000000000', 0, 1, 1);
insert into mim_interface_type values (2320211, 2, 3, 2, 2, 1, 1, 'VIB-SQL Server for Assets V1.1', '2000-03-27 18:00:00-000000000', 0, 1, 1);
insert into mim_interface_type values (9610221, 9, 6, 1, 2, 2, 1, 'VIB-XML Client V2.1', '2000-03-27 18:00:00-000000000', 0, 1, 1);
insert into mim_interface_type values (9620221, 9, 6, 2, 2, 2, 1, 'VIB-XML Server V2.1', '2000-03-27 18:00:00-000000000', 0, 1, 1);
insert into mim_interface_type values (9610321, 9, 6, 1, 3, 2, 1, 'SAMPLE-XML Client V2.1', '2000-03-27 18:00:00-000000000', 0, 1, 1);
insert into mim_interface_type values (9620321, 9, 6, 2, 3, 2, 1, 'SAMPLE-XML Server V2.1', '2000-03-27 18:00:00-000000000', 0, 1, 1);
insert into mim_interface_type values (9610421, 9, 6, 1, 4, 2, 1, 'THERM-XML Client V2.1', '2000-03-27 18:00:00-000000000', 0, 1, 1);
insert into mim_interface_type values (9620421, 9, 6, 2, 4, 2, 1, 'THERM-XML Server V2.1', '2000-03-27 18:00:00-000000000', 0, 1, 1);
insert into mim_interface_type values (9610521, 9, 6, 1, 5, 2, 1, 'REG-XML Client V2.1', '2000-03-27 18:00:00-000000000', 0, 1, 1);
insert into mim_interface_type values (9620521, 9, 6, 2, 5, 2, 1, 'REG-XML Server V2.1', '2000-03-27 18:00:00-000000000', 0, 1, 1);
insert into mim_interface_type values (9610621, 9, 6, 1, 6, 2, 1, 'DIAG-XML Client V2.1', '2000-03-27 18:00:00-000000000', 0, 1, 1);
insert into mim_interface_type values (9620621, 9, 6, 2, 6, 2, 1, 'DIAG-XML Server V2.1', '2000-03-27 18:00:00-000000000', 0, 1, 1);
insert into mim_interface_type values (9610721, 9, 6, 1, 7, 2, 1, 'REL-XML Client V2.1', '2000-03-27 18:00:00-000000000', 0, 1, 1);
insert into mim_interface_type values (9620721, 9, 6, 2, 7, 2, 1, 'REL-XML Server V2.1', '2000-03-27 18:00:00-000000000', 0, 1, 1);
insert into mim_interface_type values (9610821, 9, 6, 1, 8, 2, 1, 'WORK-XML Client V2.1', '2000-03-27 18:00:00-000000000', 0, 1, 1);
insert into mim_interface_type values (9620821, 9, 6, 2, 8, 2, 1, 'WORK-XML Server V2.1', '2000-03-27 18:00:00-000000000', 0, 1, 1);


CREATE TABLE db_mim_interface (
 db_site             INTEGER      NOT NULL,
 db_id               INTEGER      NOT NULL,
 interf_type_code    INTEGER      NOT NULL,
 gmt_last_refresh    CHAR(29), 
 gmt_last_updated    CHAR(29)     NOT NULL,
 last_upd_db_site    INTEGER      NOT NULL,
 last_upd_db_id      INTEGER      NOT NULL,
 rstat_type_code     SMALLINT     NOT NULL,
    PRIMARY KEY (db_site, db_id, interf_type_code), 
    FOREIGN KEY (db_site, db_id) REFERENCES site_database (db_site, db_id),
    FOREIGN KEY (interf_type_code) REFERENCES mim_interface_type(interf_type_code),
    FOREIGN KEY site_db (last_upd_db_site, last_upd_db_id) REFERENCES site_database (db_site, db_id),
    FOREIGN KEY (rstat_type_code) REFERENCES row_status_type (rstat_type_cod)
  );

insert into db_mim_interface values (1234567890, 1, 9620521, null, '2000-03-27 18:00:00-000000000', 0, 1, 1);
insert into db_mim_interface values (1234567890, 1, 9620821, null, '2000-03-27 18:00:00-000000000', 0, 1, 1);

 
CREATE TABLE segment_type (
 sg_db_site          INTEGER      NOT NULL,
 sg_db_id            INTEGER      NOT NULL,
 sg_type_code        INTEGER      NOT NULL,
 name                VARCHAR(254) NOT NULL,
 default_mnemonic    CHAR(3),
 gmt_last_updated    CHAR(29)     NOT NULL,
 last_upd_db_site    INTEGER      NOT NULL,
 last_upd_db_id      INTEGER      NOT NULL,
 rstat_type_code     SMALLINT     NOT NULL,
    PRIMARY KEY (sg_db_site, sg_db_id, sg_type_code),
    FOREIGN KEY (sg_db_site, sg_db_id) REFERENCES 
        site_database (db_site, db_id),
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
        REFERENCES site_database (db_site, db_id),
    FOREIGN KEY (rstat_type_code) REFERENCES
        row_status_type (rstat_type_cod)
 );

insert into segment_type (sg_db_site, sg_db_id, sg_type_code, name, 
          default_mnemonic, gmt_last_updated, last_upd_db_site,
          last_upd_db_id, rstat_type_code) values (0,1,101,
          'Pump System, Boiler Feed',null,
          '1999-07-12 18:00:00-000000000',0,1,1);

insert into segment_type (sg_db_site, sg_db_id, sg_type_code, name, 
          default_mnemonic, gmt_last_updated, last_upd_db_site,
          last_upd_db_id, rstat_type_code) values (0,1,89,
          'Fan System, Induced Draft',null,
          '1999-07-12 18:00:00-000000000',0,1,1);

insert into segment_type (sg_db_site, sg_db_id, sg_type_code, name, 
          default_mnemonic, gmt_last_updated, last_upd_db_site,
          last_upd_db_id, rstat_type_code) values (0,0,512, 
          'Motor','MTR',
          '1999-07-12 18:00:00-000000000',0,1,1);

insert into segment_type (sg_db_site, sg_db_id, sg_type_code, name, 
          default_mnemonic, gmt_last_updated, last_upd_db_site,
          last_upd_db_id, rstat_type_code) values (0,0,481, 
          'Gearset/Gearbox','GBX',
          '1999-07-12 18:00:00-000000000',0,1,1);

insert into segment_type (sg_db_site, sg_db_id, sg_type_code, name, 
          default_mnemonic, gmt_last_updated, last_upd_db_site,
          last_upd_db_id, rstat_type_code) values (0,0,476, 
          'Fan/Blower','FAN',
          '1999-07-12 18:00:00-000000000',0,1,1);

insert into segment_type (sg_db_site, sg_db_id, sg_type_code, name, 
          default_mnemonic, gmt_last_updated, last_upd_db_site,
          last_upd_db_id, rstat_type_code) values (0,0,601, 
          'Pump','PMP',
          '1999-07-12 18:00:00-000000000',0,1,1);

CREATE TABLE segment (
 segment_site        INTEGER      NOT NULL,
 segment_id          INTEGER      NOT NULL,
 sg_db_site          INTEGER      NOT NULL,
 sg_db_id            INTEGER      NOT NULL,
 sg_type_code        INTEGER      NOT NULL,
 segment_group_yn    CHAR(1)      NOT NULL,
 user_tag_ident      VARCHAR(254) NOT NULL,
 name                VARCHAR(254),
 gmt_last_updated    CHAR(29)     NOT NULL,
 last_upd_db_site    INTEGER      NOT NULL,
 last_upd_db_id      INTEGER      NOT NULL,
 rstat_type_code     SMALLINT     NOT NULL,
    PRIMARY KEY (segment_site, segment_id),
    FOREIGN KEY (segment_site) REFERENCES site (site_code),
    FOREIGN KEY (sg_db_site, sg_db_id, sg_type_code) 
        REFERENCES segment_type (sg_db_site, sg_db_id, sg_type_code),
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
        REFERENCES site_database (db_site, db_id),
    FOREIGN KEY (rstat_type_code) REFERENCES row_status_type 
        (rstat_type_cod),
    CHECK (segment_group_yn in ('Y','N'))
 );

insert into segment (segment_site, segment_id, sg_db_site, sg_db_id, 
          sg_type_code, segment_group_yn, user_tag_ident, name, 
          gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code) 
          values (1234567890,1,0,1,101,'N','BFP #1',
          'Boiler Feed Pump #1','1999-07-12 18:00:00-000000000',0,1,1);

insert into segment (segment_site, segment_id, sg_db_site, sg_db_id, 
          sg_type_code, segment_group_yn, user_tag_ident, name, 
          gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code) 
          values (1234567890,2,0,0,512,'N','BFP #1 MTR',
          'Boiler Feed Pump #1 -- Motor','1999-07-12 18:00:00-000000000',
          0,1,1);

insert into segment (segment_site, segment_id, sg_db_site, sg_db_id, 
          sg_type_code, segment_group_yn, user_tag_ident, name, 
          gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code) 
          values (1234567890,3,0,0,601,'N','BFP #1 PMP',
          'Boiler Feed Pump #1 -- Pump','1999-07-12 18:00:00-000000000',
          0,1,1);

insert into segment (segment_site, segment_id, sg_db_site, sg_db_id, 
          sg_type_code, segment_group_yn, user_tag_ident, name, 
          gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code) 
          values (1234567890,4,0,1,89,'N','ID FAN #1',
          'Induced Draft Fan #1','1999-07-12 18:00:00-000000000',0,1,1);

insert into segment (segment_site, segment_id, sg_db_site, sg_db_id, 
          sg_type_code, segment_group_yn, user_tag_ident, name, 
          gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code) 
          values (1234567890,5,0,0,512,'N','ID FAN #1 MTR',
          'Induced Draft Fan #1 -- Motor','1999-07-12 18:00:00-000000000',
          0,1,1);

insert into segment (segment_site, segment_id, sg_db_site, sg_db_id, 
          sg_type_code, segment_group_yn, user_tag_ident, name, 
          gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code) 
          values (1234567890,6,0,0,481,'N','ID FAN #1 GBX',
          'Induced Draft Fan #1 -- Gearbox','1999-07-12 18:00:00-000000000',
          0,1,1);

insert into segment (segment_site, segment_id, sg_db_site, sg_db_id, 
          sg_type_code, segment_group_yn, user_tag_ident, name, 
          gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code) 
          values (1234567890,7,0,0,476,'N','ID FAN #1 FAN',
          'Induced Draft Fan #1 -- Fan','1999-07-12 18:00:00-000000000',
          0,1,1);

CREATE TABLE segment_child (
 segment_site        INTEGER      NOT NULL,
 segment_id          INTEGER      NOT NULL,
 child_sg_site       INTEGER      NOT NULL,
 child_sg_id         INTEGER      NOT NULL,
 ordering_seq        INTEGER      NOT NULL,
 gmt_last_updated    CHAR(29)     NOT NULL,
 last_upd_db_site    INTEGER      NOT NULL,
 last_upd_db_id      INTEGER      NOT NULL,
 rstat_type_code     SMALLINT     NOT NULL,
    PRIMARY KEY (segment_site, segment_id, child_sg_site, child_sg_id),
    FOREIGN KEY (segment_site, segment_id) REFERENCES segment
        (segment_site, segment_id),
    FOREIGN KEY (child_sg_site, child_sg_id) REFERENCES segment
        (segment_site, segment_id),
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
        REFERENCES site_database (db_site, db_id),
    FOREIGN KEY (rstat_type_code) REFERENCES row_status_type 
        (rstat_type_cod)
 );

insert into segment_child (segment_site, segment_id, child_sg_site, 
          child_sg_id, ordering_seq, gmt_last_updated, last_upd_db_site, 
          last_upd_db_id, rstat_type_code) 
          values (1234567890,1,1234567890,2,1,
          '1999-07-12 18:00:00-000000000',0,1,1);

insert into segment_child (segment_site, segment_id, child_sg_site, 
          child_sg_id, ordering_seq, gmt_last_updated, last_upd_db_site, 
          last_upd_db_id, rstat_type_code) 
          values (1234567890,1,1234567890,3,2,
          '1999-07-12 18:00:00-000000000',0,1,1);

insert into segment_child (segment_site, segment_id, child_sg_site, 
          child_sg_id, ordering_seq, gmt_last_updated, last_upd_db_site, 
          last_upd_db_id, rstat_type_code) 
          values (1234567890,4,1234567890,5,1,
          '1999-07-12 18:00:00-000000000',0,1,1);

insert into segment_child (segment_site, segment_id, child_sg_site, 
          child_sg_id, ordering_seq, gmt_last_updated, last_upd_db_site, 
          last_upd_db_id, rstat_type_code) 
          values (1234567890,4,1234567890,6,2,
          '1999-07-12 18:00:00-000000000',0,1,1);

insert into segment_child (segment_site, segment_id, child_sg_site, 
          child_sg_id, ordering_seq, gmt_last_updated, last_upd_db_site, 
          last_upd_db_id, rstat_type_code) 
          values (1234567890,4,1234567890,7,3,
          '1999-07-12 18:00:00-000000000',0,1,1);

CREATE TABLE ref_unit_type (
 ru_type_code        INTEGER      NOT NULL,
 name                VARCHAR(254) NOT NULL,
 physics_descr       VARCHAR(254) NOT NULL,
 gmt_last_updated    CHAR(29)     NOT NULL,
 last_upd_db_site    INTEGER      NOT NULL,
 last_upd_db_id      INTEGER      NOT NULL,
 rstat_type_code     SMALLINT     NOT NULL,
    PRIMARY KEY (ru_type_code),
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
        REFERENCES site_database (db_site, db_id),
    FOREIGN KEY (rstat_type_code) REFERENCES row_status_type (rstat_type_cod)
 );

insert into ref_unit_type (ru_type_code, name, physics_descr, 
          gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code)
          values (1, 'Base 10 Integer Number', 
          'General Counting Unit for Number of Blades, Balls, Etc.', 
          '1996-05-28 18:00:00-000000000', 0, 0, 1);

insert into ref_unit_type (ru_type_code, name, physics_descr, 
          gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code)
          values (2, 'Base 10 Real Number', 
          'General Floating Point Unit for Number of Orders, Etc.', 
          '1996-05-28 18:00:00-000000000', 0, 0, 1);

insert into ref_unit_type (ru_type_code, name, physics_descr, 
          gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code)
          values (19, 'Unit Per Second', 'Frequency / Hertz', 
          '1996-05-28 18:00:00-000000000', 0, 0, 1);

insert into ref_unit_type (ru_type_code, name, physics_descr, 
          gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code)
          values (47, 'Joule', 'Work, Energy, Quantity of Heat', 
          '1996-05-28 18:00:00-000000000', 0, 0, 1);

insert into ref_unit_type (ru_type_code, name, physics_descr, 
          gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code)
          values (50, 'Watt', 'Power', 
          '1996-05-28 18:00:00-000000000', 0, 0, 1);

insert into ref_unit_type (ru_type_code, name, physics_descr, 
          gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code)
          values (55, 'Ampere', 'Electric Current, Magnetomotive Force', 
          '1996-05-28 18:00:00-000000000', 0, 0, 1);

insert into ref_unit_type (ru_type_code, name, physics_descr, 
          gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code)
          values (100, 'ASCII String', 'String of ASCII Characters', 
          '1996-05-28 18:00:00-000000000', 0, 0, 1);

insert into ref_unit_type (ru_type_code, name, physics_descr, 
          gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code)
          values (101, 'Enumerated', 'Enumerated Data', 
          '1996-05-28 18:00:00-000000000', 0, 0, 1);

insert into ref_unit_type (ru_type_code, name, physics_descr, 
          gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code)
          values (103, 'Volt', 'Electro-motive Force', 
          '1996-05-28 18:00:00-000000000', 0, 0, 1);

insert into ref_unit_type (ru_type_code, name, physics_descr, 
          gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code)
          values (105, 'Percentage Base 10 Real Value', 
          'Real value from 0-100 expressing a percentage value', 
          '1996-05-28 18:00:00-000000000', 0, 0, 1);

insert into ref_unit_type (ru_type_code, name, physics_descr, 
          gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code)
          values (109, 'Date', 'Date character string in YYYY-MM-DD format', 
          '1996-08-14 18:00:00-000000000', 0, 0, 1);

CREATE TABLE eng_unit_type (
 eu_db_site          INTEGER      NOT NULL,
 eu_db_id            INTEGER      NOT NULL,
 eu_type_code        INTEGER      NOT NULL,
 ru_type_code        INTEGER      NOT NULL,
 mult_fact_to_ref    DOUBLE       NOT NULL,
 refer_off_to_ref    DOUBLE       NOT NULL,
 name                VARCHAR(254) NOT NULL,
 abbrev              VARCHAR(254),
 gmt_last_updated    CHAR(29)     NOT NULL,
 last_upd_db_site    INTEGER      NOT NULL,
 last_upd_db_id      INTEGER      NOT NULL,
 rstat_type_code     SMALLINT     NOT NULL,
    PRIMARY KEY (eu_db_site, eu_db_id, eu_type_code),
    FOREIGN KEY (eu_db_site, eu_db_id) REFERENCES
        site_database (db_site, db_id),
    FOREIGN KEY (ru_type_code) REFERENCES ref_unit_type (ru_type_code),
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
        REFERENCES site_database (db_site, db_id),
    FOREIGN KEY (rstat_type_code) REFERENCES row_status_type (rstat_type_cod)
 );

insert into eng_unit_type (eu_db_site, eu_db_id, eu_type_code, ru_type_code,
    mult_fact_to_ref, refer_off_to_ref, name, abbrev, gmt_last_updated,
    last_upd_db_site, last_upd_db_id, rstat_type_code)
    values (0, 0,  1,  1, 1, 0, 'Base 10 Integer Number', null,
    '1996-05-28 18:00:00-000000000', 0, 0, 1);

insert into eng_unit_type (eu_db_site, eu_db_id, eu_type_code, ru_type_code,
    mult_fact_to_ref, refer_off_to_ref, name, abbrev, gmt_last_updated,
    last_upd_db_site, last_upd_db_id, rstat_type_code)
    values (0, 0,  2,  2, 1,       0, 'Base 10 Real Number', null,
    '1996-05-28 18:00:00-000000000', 0, 0, 1);

insert into eng_unit_type (eu_db_site, eu_db_id, eu_type_code, ru_type_code,
    mult_fact_to_ref, refer_off_to_ref, name, abbrev, gmt_last_updated,
    last_upd_db_site, last_upd_db_id, rstat_type_code)
    values (0, 0, 69, 19,       6.00E+01,       0, 
    'Revolutions Per Minute (RPM)', 'RPM' ,'1996-05-28 18:00:00-000000000', 
    0, 0, 1);

insert into eng_unit_type (eu_db_site, eu_db_id, eu_type_code, ru_type_code,
    mult_fact_to_ref, refer_off_to_ref, name, abbrev, gmt_last_updated,
    last_upd_db_site, last_upd_db_id, rstat_type_code)
    values (0, 0,159, 50,      1.341E-03,       0, 'Horsepower', 'HP',
    '1996-05-28 18:00:00-000000000', 0, 0, 1);

insert into eng_unit_type (eu_db_site, eu_db_id, eu_type_code, ru_type_code,
    mult_fact_to_ref, refer_off_to_ref, name, abbrev, gmt_last_updated,
    last_upd_db_site, last_upd_db_id, rstat_type_code)
    values (0, 0,162, 50,        1.0E-03,       0, 'Kilowatts', 'KW',
    '1996-05-28 18:00:00-000000000', 0, 0, 1);

insert into eng_unit_type (eu_db_site, eu_db_id, eu_type_code, ru_type_code,
    mult_fact_to_ref, refer_off_to_ref, name, abbrev, gmt_last_updated,
    last_upd_db_site, last_upd_db_id, rstat_type_code)
    values (0, 0,176, 55,              1,       0, 'Amperes', 'Amps',
    '1996-05-28 18:00:00-000000000', 0, 0, 1);

insert into eng_unit_type (eu_db_site, eu_db_id, eu_type_code, ru_type_code,
    mult_fact_to_ref, refer_off_to_ref, name, abbrev, gmt_last_updated,
    last_upd_db_site, last_upd_db_id, rstat_type_code)
    values (0, 0,241,100,              1,       0, 'ASCII String', null,
    '1996-05-28 18:00:00-000000000', 0, 0, 1);

insert into eng_unit_type (eu_db_site, eu_db_id, eu_type_code, ru_type_code,
    mult_fact_to_ref, refer_off_to_ref, name, abbrev, gmt_last_updated,
    last_upd_db_site, last_upd_db_id, rstat_type_code)
    values (0, 0,242,101,1,0, 'Orientation', null,
    '1996-05-28 18:00:00-000000000', 0, 0, 1);

insert into eng_unit_type (eu_db_site, eu_db_id, eu_type_code, ru_type_code,
    mult_fact_to_ref, refer_off_to_ref, name, abbrev, gmt_last_updated,
    last_upd_db_site, last_upd_db_id, rstat_type_code)
    values (0, 0,243,103,              1,       0, 'Volts', 'V',
    '1996-05-28 18:00:00-000000000', 0, 0, 1);

insert into eng_unit_type (eu_db_site, eu_db_id, eu_type_code, ru_type_code,
    mult_fact_to_ref, refer_off_to_ref, name, abbrev, gmt_last_updated,
    last_upd_db_site, last_upd_db_id, rstat_type_code)
    values (0, 0,248,105,1.0E-02,       0, 
    'Float Percentage, Decimal Form', null, '1996-05-28 18:00:00-000000000', 
    0, 0, 1);

insert into eng_unit_type (eu_db_site, eu_db_id, eu_type_code, ru_type_code,
    mult_fact_to_ref, refer_off_to_ref, name, abbrev, gmt_last_updated,
    last_upd_db_site, last_upd_db_id, rstat_type_code)
    values (0, 0,274,109,              1,       0, 
    'Local Date in YYYY-MM-DD format', null, '1996-08-14 18:00:00-000000000', 
    0, 0, 1);

CREATE TABLE eng_unit_enum (
 eu_db_site          INTEGER      NOT NULL,
 eu_db_id            INTEGER      NOT NULL,
 eu_type_code        INTEGER      NOT NULL,
 data_value          INTEGER      NOT NULL,
 data_name           VARCHAR(254) NOT NULL,
 gmt_last_updated    CHAR(29)     NOT NULL,
 last_upd_db_site    INTEGER      NOT NULL,
 last_upd_db_id      INTEGER      NOT NULL,
 rstat_type_code     SMALLINT     NOT NULL,
    PRIMARY KEY (eu_db_site, eu_db_id, eu_type_code, data_value),
    FOREIGN KEY (ru_type_code) REFERENCES ref_unit_type (ru_type_code),
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
        REFERENCES site_database (db_site, db_id),
    FOREIGN KEY (rstat_type_code) REFERENCES row_status_type (rstat_type_cod)
 );

insert into eng_unit_enum (eu_db_site, eu_db_id, eu_type_code, data_value,
     data_name, gmt_last_updated, last_upd_db_site, last_upd_db_id,
     rstat_type_code) values (0, 0, 242, 1, 'Horizontal', 
     '1995-12-28 18:00:00-000000000', 0, 0, 1);

insert into eng_unit_enum (eu_db_site, eu_db_id, eu_type_code, data_value,
     data_name, gmt_last_updated, last_upd_db_site, last_upd_db_id,
     rstat_type_code) values (0, 0,242,  2, 'Vertical', 
     '1995-12-28 18:00:00-000000000', 0, 0, 1);

CREATE TABLE sg_num_dat_type (
 sn_db_site          INTEGER      NOT NULL,
 sn_db_id            INTEGER      NOT NULL,
 sn_type_code        INTEGER      NOT NULL,
 name                VARCHAR(254) NOT NULL,
 default_ru_type     INTEGER      NOT NULL,
 gmt_last_updated    CHAR(29)     NOT NULL,
 last_upd_db_site    INTEGER      NOT NULL,
 last_upd_db_id      INTEGER      NOT NULL,
 rstat_type_code     SMALLINT     NOT NULL,
    PRIMARY KEY (sn_db_site, sn_db_id, sn_type_code),
    FOREIGN KEY (sn_db_site, sn_db_id) REFERENCES 
        site_database(db_site, db_id),
    FOREIGN KEY (default_ru_type) REFERENCES ref_unit_type (ru_type_code),
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
        REFERENCES site_database (db_site, db_id),
    FOREIGN KEY (rstat_type_code) REFERENCES row_status_type (rstat_type_cod)
 );

insert into sg_num_dat_type values (0,0,1,'Physical Orientation',101,
     '1995-12-28 18:00:00-000000000',0,0,1);

insert into sg_num_dat_type values (0,1,98,'Voltage, Rated',103,
     '1995-12-28 18:00:00-000000000',0,0,1);

CREATE TABLE segment_num_data (
 segment_site        INTEGER      NOT NULL,
 segment_id          INTEGER      NOT NULL,
 sn_db_site          INTEGER      NOT NULL,
 sn_db_id            INTEGER      NOT NULL,
 sn_type_code        INTEGER      NOT NULL,
 eu_db_site          INTEGER      NOT NULL,
 eu_db_id            INTEGER      NOT NULL,
 eu_type_code        INTEGER      NOT NULL,
 data_value          DOUBLE       NOT NULL,
 gmt_last_updated    CHAR(29)     NOT NULL,
 last_upd_db_site    INTEGER      NOT NULL,
 last_upd_db_id      INTEGER      NOT NULL,
 rstat_type_code     SMALLINT     NOT NULL,
     PRIMARY KEY (segment_site, segment_id, sn_db_site, sn_db_id, 
        sn_type_code),
     FOREIGN KEY (segment_site, segment_id) REFERENCES segment
        (segment_site, segment_id),
     FOREIGN KEY (sn_db_site, sn_db_id, sn_type_code) REFERENCES 
        sg_num_dat_type (sn_db_site, sn_db_id, sn_type_code),
     FOREIGN KEY (eu_db_site, eu_db_id, eu_type_code) REFERENCES
        eng_unit_type (eu_db_site, eu_db_id, eu_type_code),
     FOREIGN KEY (last_upd_db_site, last_upd_db_id) REFERENCES 
        site_database (db_site, db_id),
     FOREIGN KEY (rstat_type_code) REFERENCES row_status_type (rstat_type_cod)
 );

insert into segment_num_data (segment_site, segment_id, sn_db_site, sn_db_id,
     sn_type_code, eu_db_site, eu_db_id, eu_type_code, data_value,
     gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code)
     values (1234567890,5,0,0,1,0,0,242,1,'1999-07-12 18:00:00-000000000',
     0,1,1);

insert into segment_num_data (segment_site, segment_id, sn_db_site, sn_db_id,
     sn_type_code, eu_db_site, eu_db_id, eu_type_code, data_value,
     gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code)
     values (1234567890,5,0,1,98,0,0,243,2300,'1999-07-12 18:00:00-000000000',
     0,1,1);

CREATE TABLE asset_type (
 as_db_site          INTEGER      NOT NULL,
 as_db_id            INTEGER      NOT NULL,
 as_type_code        INTEGER      NOT NULL,
 name                VARCHAR(254) NOT NULL,
 default_mnemonic    CHAR(3)      NOT NULL,
 gmt_last_updated    CHAR(29)     NOT NULL,
 last_upd_db_site    INTEGER      NOT NULL,
 last_upd_db_id      INTEGER      NOT NULL,
 rstat_type_code     SMALLINT     NOT NULL,
    PRIMARY KEY (as_db_site, as_db_id, as_type_code),
    FOREIGN KEY (as_db_site, as_db_id) REFERENCES 
        site_database (db_site, db_id),
    FOREIGN KEY (last_upd_db_site, last_upd_db_id) REFERENCES 
        site_database (db_site, db_id),
    FOREIGN KEY (rstat_type_code) REFERENCES row_status_type (rstat_type_cod)
 );

insert into asset_type values (0,0,737, 'Motor, AC, Induction','MTR',
          '1999-07-12 18:00:00-000000000',0,1,1);

insert into asset_type values (0,0,738, 'Motor, AC, Synchronous','MTR',
          '1999-07-12 18:00:00-000000000',0,1,1);

insert into asset_type values (0,0,509, 'Motor, DC','MTR',
          '1999-07-12 18:00:00-000000000',0,1,1);

insert into asset_type values (0,0,481, 'Gearset/Gearbox','GBX',
          '1999-07-12 18:00:00-000000000',0,1,1);

insert into asset_type values (0,0,470, 'Fan/Blower, Axial, Single-Stage',
          'FAN','1999-07-12 18:00:00-000000000',0,1,1);

insert into asset_type values (0,0,592, 'Pump, Axial, Single-Stage','PMP',
          '1999-07-12 18:00:00-000000000',0,1,1);

CREATE TABLE model (
 mf_db_site          INTEGER      NOT NULL,
 mf_db_id            INTEGER      NOT NULL,
 mf_duns_code        INTEGER      NOT NULL,
 model_number        VARCHAR(240) NOT NULL,
 revision_number     INTEGER      NOT NULL,
 as_db_site          INTEGER      NOT NULL,
 as_db_id            INTEGER      NOT NULL,
 as_type_code        INTEGER      NOT NULL,
 gmt_last_updated    CHAR(29)     NOT NULL,
 last_upd_db_site    INTEGER      NOT NULL,
 last_upd_db_id      INTEGER      NOT NULL,
 rstat_type_code     SMALLINT     NOT NULL,
    PRIMARY KEY (mf_db_site, mf_db_id, mf_duns_code, model_number,
        revision_number),
    FOREIGN KEY (mf_db_site, mf_db_id, mf_duns_code) REFERENCES 
        manufacturer (mf_db_site, mf_db_id, mf_duns_code),
    FOREIGN KEY (as_db_site, as_db_id, as_type_code) REFERENCES 
        asset_type (as_db_site, as_db_id, as_type_code),
    FOREIGN KEY (last_upd_db_site, last_upd_db_id) REFERENCES 
        site_database (db_site, db_id),
    FOREIGN KEY (rstat_type_code) REFERENCES row_status_type (rstat_type_cod)
 );

insert into model (mf_db_site, mf_db_id, mf_duns_code, model_number,
     revision_number, as_db_site, as_db_id, as_type_code, gmt_last_updated,
     last_upd_db_site, last_upd_db_id, rstat_type_code) values 
     (0, 0, 1367960, 'E3923',0,0,0,737,'1999-07-12 18:00:00-000000000',0,1,1);

CREATE TABLE asset (
 asset_org_site      INTEGER      NOT NULL,
 asset_id            INTEGER      NOT NULL,
 as_db_site          INTEGER      NOT NULL,
 as_db_id            INTEGER      NOT NULL,
 as_type_code        INTEGER      NOT NULL,
 user_tag_ident      VARCHAR(254) NOT NULL,
 name                VARCHAR(254),
 mf_db_site          INTEGER,
 mf_db_id            INTEGER,
 mf_duns_code        INTEGER,
 model_number        VARCHAR(254),
 revision_number     INTEGER,
 serial_number       VARCHAR(254),
 gmt_last_updated    CHAR(29)     NOT NULL,
 last_upd_db_site    INTEGER      NOT NULL,
 last_upd_db_id      INTEGER      NOT NULL,
 rstat_type_code     SMALLINT     NOT NULL,
    PRIMARY KEY (asset_org_site, asset_id),
    FOREIGN KEY (asset_org_site) REFERENCES site (site_code),
    FOREIGN KEY (as_db_site, as_db_id, as_type_code) REFERENCES 
        asset_type (as_db_site, as_db_id, as_type_code),
    FOREIGN KEY (mf_db_site, mf_db_id, mf_duns_code, model_number, 
        revision_number) REFERENCES model (mf_db_site, mf_db_id, 
        mf_duns_code, model_number, revision_number),
    FOREIGN KEY (last_upd_db_site, last_upd_db_id) REFERENCES 
        site_database (db_site, db_id),
    FOREIGN KEY (rstat_type_code) REFERENCES row_status_type (rstat_type_cod)
 );

insert into asset (asset_org_site, asset_id, as_db_site, as_db_id, 
     as_type_code, user_tag_ident, name, mf_db_site, mf_db_id, mf_duns_code,
     model_number, revision_number, serial_number, gmt_last_updated,
     last_upd_db_site, last_upd_db_id, rstat_type_code) values
     (1234567890,1234,0,0,737,'E3923-271-02',null,0,0,1367960,'E3923',0,
     'E3923-271-02','1999-07-12 18:00:00-000000000',0,1,1);

insert into asset (asset_org_site, asset_id, as_db_site, as_db_id, 
     as_type_code, user_tag_ident, name, mf_db_site, mf_db_id, mf_duns_code,
     model_number, revision_number, serial_number, gmt_last_updated,
     last_upd_db_site, last_upd_db_id, rstat_type_code) values
     (1234567890,1235,0,0,737,'KS-2-120MS',null,null,null,null,null,null,
     'KS-2-120MS','1999-07-12 18:00:00-000000000',0,1,1);

insert into asset (asset_org_site, asset_id, as_db_site, as_db_id, 
     as_type_code, user_tag_ident, name, mf_db_site, mf_db_id, mf_duns_code,
     model_number, revision_number, serial_number, gmt_last_updated,
     last_upd_db_site, last_upd_db_id, rstat_type_code) values
     (1234567890,1236,0,0,738,'LS-2-129MS',null,null,null,null,null,null,
     'LS-2-129MS','1999-07-12 18:00:00-000000000',0,1,1);

insert into asset (asset_org_site, asset_id, as_db_site, as_db_id, 
     as_type_code, user_tag_ident, name, mf_db_site, mf_db_id, mf_duns_code,
     model_number, revision_number, serial_number, gmt_last_updated,
     last_upd_db_site, last_upd_db_id, rstat_type_code) values
     (1234567890,1237,0,0,738,'DT151059',null,null,null,null,null,null,
     'DT151059','1999-07-12 18:00:00-000000000',0,1,1);

insert into asset (asset_org_site, asset_id, as_db_site, as_db_id, 
     as_type_code, user_tag_ident, name, mf_db_site, mf_db_id, mf_duns_code,
     model_number, revision_number, serial_number, gmt_last_updated,
     last_upd_db_site, last_upd_db_id, rstat_type_code) values
     (1234567890,1238,0,0,509,'SN-2-130MS',null,null,null,null,null,null,
     'SN-2-130MS','1999-07-12 18:00:00-000000000',0,1,1);

insert into asset (asset_org_site, asset_id, as_db_site, as_db_id, 
     as_type_code, user_tag_ident, name, mf_db_site, mf_db_id, mf_duns_code,
     model_number, revision_number, serial_number, gmt_last_updated,
     last_upd_db_site, last_upd_db_id, rstat_type_code) values
     (1234567890,1239,0,0,509,'SN-2-131MS',null,null,null,null,null,null,
     'SN-2-131MS','1999-07-12 18:00:00-000000000',0,1,1);

CREATE TABLE asset_child (
 asset_org_site      INTEGER      NOT NULL,
 asset_id            INTEGER      NOT NULL,
 child_as_site       INTEGER      NOT NULL,
 child_as_id         INTEGER      NOT NULL,
 ordering_seq        INTEGER      NOT NULL,
 gmt_last_updated    CHAR(29)     NOT NULL,
 last_upd_db_site    INTEGER      NOT NULL,
 last_upd_db_id      INTEGER      NOT NULL,
 rstat_type_code     SMALLINT     NOT NULL,
    PRIMARY KEY (asset_org_site, asset_id, child_as_site, child_as_id),
    FOREIGN KEY (asset_org_site, asset_id) REFERENCES asset
        (asset_org_site, asset_id),
    FOREIGN KEY (child_as_site, child_as_id) REFERENCES asset
        (asset_org_site, asset_id),
    FOREIGN KEY (last_upd_db_site, last_upd_db_id) REFERENCES 
        site_database (db_site, db_id),
    FOREIGN KEY (rstat_type_code) REFERENCES row_status_type (rstat_type_cod)
 );

CREATE TABLE asset_on_segment (
 asset_org_site      INTEGER      NOT NULL,
 asset_id            INTEGER      NOT NULL,
 segment_site        INTEGER      NOT NULL,
 segment_id          INTEGER      NOT NULL,
 gmt_installed       CHAR(29)     NOT NULL, 
 gmt_removed         CHAR(29),
 gmt_last_updated    CHAR(29)     NOT NULL,
 last_upd_db_site    INTEGER      NOT NULL,
 last_upd_db_id      INTEGER      NOT NULL,
 rstat_type_code     SMALLINT     NOT NULL,
    PRIMARY KEY (asset_org_site, asset_id, segment_site, segment_id, 
        gmt_installed),
    FOREIGN KEY (asset_org_site, asset_id) REFERENCES asset
        (asset_org_site, asset_id),
    FOREIGN KEY (segment_site, segment_id) REFERENCES segment
        (segment_site, segment_id),
    FOREIGN KEY (last_upd_db_site, last_upd_db_id) REFERENCES 
        site_database (db_site, db_id),
    FOREIGN KEY (rstat_type_code) REFERENCES row_status_type (rstat_type_cod)
 );

insert into asset_on_segment (asset_org_site, asset_id, segment_site, 
     segment_id, gmt_installed, gmt_removed, gmt_last_updated,
     last_upd_db_site, last_upd_db_id, rstat_type_code) values 
     (1234567890,1234, 1234567890, 2, '1996-03-01 00:00:00-000000000',
     '1999-01-12 00:00:00-000000000','1999-07-01 00:00:00-000000000',
     0,1,1);

insert into asset_on_segment (asset_org_site, asset_id, segment_site, 
     segment_id, gmt_installed, gmt_removed, gmt_last_updated,
     last_upd_db_site, last_upd_db_id, rstat_type_code) values 
     (1234567890,1234, 1234567890, 5, '1999-07-01 00:00:00-000000000',
     null,'1999-07-01 00:00:00-000000000',0,1,1);

CREATE TABLE as_num_dat_type (
 an_db_site          INTEGER      NOT NULL,
 an_db_id            INTEGER      NOT NULL,
 an_type_code        INTEGER      NOT NULL,
 name                VARCHAR(254) NOT NULL,
 default_ru_type     INTEGER      NOT NULL,
 gmt_last_updated    CHAR(29)     NOT NULL,
 last_upd_db_site    INTEGER      NOT NULL,
 last_upd_db_id      INTEGER      NOT NULL,
 rstat_type_code     SMALLINT     NOT NULL,
    PRIMARY KEY (an_db_site, an_db_id, an_type_code),
    FOREIGN KEY (an_db_site, an_db_id) REFERENCES 
        site_database(db_site, db_id),
    FOREIGN KEY (default_ru_type) REFERENCES ref_unit_type (ru_type_code),
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
        REFERENCES site_database (db_site, db_id),
    FOREIGN KEY (rstat_type_code) REFERENCES row_status_type (rstat_type_cod)
 );

insert into as_num_dat_type (an_db_site, an_db_id, an_type_code, name,
     default_ru_type, gmt_last_updated, last_upd_db_site, last_upd_db_id, 
     rstat_type_code)
     values (0,1,98,'Voltage, Rated',103,'1999-07-12 18:00:00-000000000',
     0,0,1);

insert into as_num_dat_type (an_db_site, an_db_id, an_type_code, name,
     default_ru_type, gmt_last_updated, last_upd_db_site, last_upd_db_id, 
     rstat_type_code)
     values (0,1,61,'Work, Rated',47,'1999-07-12 18:00:00-000000000',
     0,0,1);

insert into as_num_dat_type (an_db_site, an_db_id, an_type_code, name,
     default_ru_type, gmt_last_updated, last_upd_db_site, last_upd_db_id, 
     rstat_type_code)
     values (0,1,96,'Power, Rated',50,'1999-07-12 18:00:00-000000000',
     0,0,1);

insert into as_num_dat_type (an_db_site, an_db_id, an_type_code, name,
     default_ru_type, gmt_last_updated, last_upd_db_site, last_upd_db_id, 
     rstat_type_code)
     values (0,1,115,'Current, Rated Full Load',55,
     '1999-07-12 18:00:00-000000000',0,0,1);

insert into as_num_dat_type (an_db_site, an_db_id, an_type_code, name,
     default_ru_type, gmt_last_updated, last_upd_db_site, last_upd_db_id, 
     rstat_type_code)
     values (0,1,123,'Speed, Rated',19,'1999-07-12 18:00:00-000000000',
     0,0,1);

insert into as_num_dat_type (an_db_site, an_db_id, an_type_code, name,
     default_ru_type, gmt_last_updated, last_upd_db_site, last_upd_db_id, 
     rstat_type_code)
     values (0,1,118,'Efficiency Percentage, Rated',105,
     '1999-07-12 18:00:00-000000000',0,0,1);

insert into as_num_dat_type (an_db_site, an_db_id, an_type_code, name,
     default_ru_type, gmt_last_updated, last_upd_db_site, last_upd_db_id, 
     rstat_type_code)
     values (0,1,40,'Power Factor Percentage',105,
     '1999-07-12 18:00:00-000000000',0,0,1);

insert into as_num_dat_type (an_db_site, an_db_id, an_type_code, name,
     default_ru_type, gmt_last_updated, last_upd_db_site, last_upd_db_id, 
     rstat_type_code)
     values (0,1,122,'Service Factor, NEMA',2,
     '1999-07-12 18:00:00-000000000',0,0,1);

insert into as_num_dat_type (an_db_site, an_db_id, an_type_code, name,
     default_ru_type, gmt_last_updated, last_upd_db_site, last_upd_db_id, 
     rstat_type_code)
     values (0,1,33,'Number of Poles',1,'1999-07-12 18:00:00-000000000',
     0,0,1);

CREATE TABLE asset_num_data (
 asset_org_site      INTEGER      NOT NULL,
 asset_id            INTEGER      NOT NULL,
 an_db_site          INTEGER      NOT NULL,
 an_db_id            INTEGER      NOT NULL,
 an_type_code        INTEGER      NOT NULL,
 eu_db_site          INTEGER      NOT NULL,
 eu_db_id            INTEGER      NOT NULL,
 eu_type_code        INTEGER      NOT NULL,
 data_value          DOUBLE       NOT NULL,
 gmt_last_updated    CHAR(29)     NOT NULL,
 last_upd_db_site    INTEGER      NOT NULL,
 last_upd_db_id      INTEGER      NOT NULL,
 rstat_type_code     SMALLINT     NOT NULL,
     PRIMARY KEY (asset_org_site, asset_id, an_db_site, an_db_id, 
        an_type_code),
     FOREIGN KEY (asset_org_site, asset_id) REFERENCES asset
        (asset_org_site, asset_id),
     FOREIGN KEY (an_db_site, an_db_id, an_type_code) REFERENCES 
        as_num_dat_type (an_db_site, an_db_id, an_type_code),
     FOREIGN KEY (eu_db_site, eu_db_id, eu_type_code) REFERENCES
        eng_unit_type (eu_db_site, eu_db_id, eu_type_code),
     FOREIGN KEY (last_upd_db_site, last_upd_db_id) REFERENCES 
        site_database (db_site, db_id),
     FOREIGN KEY (rstat_type_code) REFERENCES row_status_type (rstat_type_cod)
 );

insert into asset_num_data (asset_org_site, asset_id, an_db_site, an_db_id,
     an_type_code, eu_db_site, eu_db_id, eu_type_code, data_value,
     gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code)
     values (1234567890,1234,0,1,98,0,0,243,2300,
     '1999-07-12 18:00:00-000000000',0,1,1);

insert into asset_num_data (asset_org_site, asset_id, an_db_site, an_db_id,
     an_type_code, eu_db_site, eu_db_id, eu_type_code, data_value,
     gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code)
     values (1234567890,1234,0,1,61,0,0,159,350,
     '1999-07-12 18:00:00-000000000',0,1,1);

insert into asset_num_data (asset_org_site, asset_id, an_db_site, an_db_id,
     an_type_code, eu_db_site, eu_db_id, eu_type_code, data_value,
     gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code)
     values (1234567890,1234,0,1,96,0,0,162,261.1,
     '1999-07-12 18:00:00-000000000',0,1,1);

insert into asset_num_data (asset_org_site, asset_id, an_db_site, an_db_id,
     an_type_code, eu_db_site, eu_db_id, eu_type_code, data_value,
     gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code)
     values (1234567890,1234,0,1,115,0,0,176,79,
     '1999-07-12 18:00:00-000000000',0,1,1);

insert into asset_num_data (asset_org_site, asset_id, an_db_site, an_db_id,
     an_type_code, eu_db_site, eu_db_id, eu_type_code, data_value,
     gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code)
     values (1234567890,1234,0,1,123,0,0,69,1780,
     '1999-07-12 18:00:00-000000000',0,1,1);

insert into asset_num_data (asset_org_site, asset_id, an_db_site, an_db_id,
     an_type_code, eu_db_site, eu_db_id, eu_type_code, data_value,
     gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code)
     values (1234567890,1234,0,1,118,0,0,248,.9,
     '1999-07-12 18:00:00-000000000',0,1,1);

insert into asset_num_data (asset_org_site, asset_id, an_db_site, an_db_id,
     an_type_code, eu_db_site, eu_db_id, eu_type_code, data_value,
     gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code)
     values (1234567890,1234,0,1,40,0,0,248,.85,
     '1999-07-12 18:00:00-000000000',0,1,1);

insert into asset_num_data (asset_org_site, asset_id, an_db_site, an_db_id,
     an_type_code, eu_db_site, eu_db_id, eu_type_code, data_value,
     gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code)
     values (1234567890,1234,0,1,122,0,0,2,1,
     '1999-07-12 18:00:00-000000000',0,1,1);

insert into asset_num_data (asset_org_site, asset_id, an_db_site, an_db_id,
     an_type_code, eu_db_site, eu_db_id, eu_type_code, data_value,
     gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code)
     values (1234567890,1234,0,1,33,0,0,1,4,
     '1999-07-12 18:00:00-000000000',0,1,1);

insert into asset_num_data (asset_org_site, asset_id, an_db_site, an_db_id,
     an_type_code, eu_db_site, eu_db_id, eu_type_code, data_value,
     gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code)
     values (1234567890,1235,0,1,98,0,0,243,480,
     '1999-07-12 18:00:00-000000000',0,1,1);

insert into asset_num_data (asset_org_site, asset_id, an_db_site, an_db_id,
     an_type_code, eu_db_site, eu_db_id, eu_type_code, data_value,
     gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code)
     values (1234567890,1235,0,1,61,0,0,159,125,
     '1999-07-12 18:00:00-000000000',0,1,1);

insert into asset_num_data (asset_org_site, asset_id, an_db_site, an_db_id,
     an_type_code, eu_db_site, eu_db_id, eu_type_code, data_value,
     gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code)
     values (1234567890,1235,0,1,96,0,0,162,93.25,
     '1999-07-12 18:00:00-000000000',0,1,1);

insert into asset_num_data (asset_org_site, asset_id, an_db_site, an_db_id,
     an_type_code, eu_db_site, eu_db_id, eu_type_code, data_value,
     gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code)
     values (1234567890,1235,0,1,115,0,0,176,1,
     '1999-07-12 18:00:00-000000000',0,1,1);

insert into asset_num_data (asset_org_site, asset_id, an_db_site, an_db_id,
     an_type_code, eu_db_site, eu_db_id, eu_type_code, data_value,
     gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code)
     values (1234567890,1235,0,1,123,0,0,69,1750,
     '1999-07-12 18:00:00-000000000',0,1,1);

insert into asset_num_data (asset_org_site, asset_id, an_db_site, an_db_id,
     an_type_code, eu_db_site, eu_db_id, eu_type_code, data_value,
     gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code)
     values (1234567890,1235,0,1,118,0,0,248,.9,
     '1999-07-12 18:00:00-000000000',0,1,1);

insert into asset_num_data (asset_org_site, asset_id, an_db_site, an_db_id,
     an_type_code, eu_db_site, eu_db_id, eu_type_code, data_value,
     gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code)
     values (1234567890,1235,0,1,40,0,0,248,.85,
     '1999-07-12 18:00:00-000000000',0,1,1);

insert into asset_num_data (asset_org_site, asset_id, an_db_site, an_db_id,
     an_type_code, eu_db_site, eu_db_id, eu_type_code, data_value,
     gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code)
     values (1234567890,1235,0,1,122,0,0,2,1,
     '1999-07-12 18:00:00-000000000',0,1,1);

insert into asset_num_data (asset_org_site, asset_id, an_db_site, an_db_id,
     an_type_code, eu_db_site, eu_db_id, eu_type_code, data_value,
     gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code)
     values (1234567890,1235,0,1,33,0,0,1,4,
     '1999-07-12 18:00:00-000000000',0,1,1);

CREATE TABLE as_chr_dat_type (
 ac_db_site          INTEGER      NOT NULL,
 ac_db_id            INTEGER      NOT NULL,
 ac_type_code        INTEGER      NOT NULL,
 name                VARCHAR(254) NOT NULL,
 default_ru_type     INTEGER      NOT NULL,
 gmt_last_updated    CHAR(29)     NOT NULL,
 last_upd_db_site    INTEGER      NOT NULL,
 last_upd_db_id      INTEGER      NOT NULL,
 rstat_type_code     SMALLINT     NOT NULL,
    PRIMARY KEY (ac_db_site, ac_db_id, ac_type_code),
    FOREIGN KEY (ac_db_site, ac_db_id) REFERENCES 
        site_database (db_site, db_id),
    FOREIGN KEY (default_ru_type) REFERENCES ref_unit_type (ru_type_code),
    FOREIGN KEY (last_upd_db_site, last_upd_db_id) REFERENCES 
        site_database (db_site, db_id),
    FOREIGN KEY (rstat_type_code) REFERENCES row_status_type (rstat_type_cod)
 );

insert into as_chr_dat_type (ac_db_site, ac_db_id, ac_type_code, name,
     default_ru_type, gmt_last_updated, last_upd_db_site, last_upd_db_id, 
     rstat_type_code)
     values (0,1,3,'Frame Size, NEMA',100,'1999-07-12 18:00:00-000000000',
     0,0,1);

insert into as_chr_dat_type (ac_db_site, ac_db_id, ac_type_code, name,
     default_ru_type, gmt_last_updated, last_upd_db_site, last_upd_db_id, 
     rstat_type_code)
     values (0,1,7,'Installation Date, Most Recent',109,
     '1999-07-12 18:00:00-000000000',0,0,1);

insert into as_chr_dat_type (ac_db_site, ac_db_id, ac_type_code, name,
     default_ru_type, gmt_last_updated, last_upd_db_site, last_upd_db_id, 
     rstat_type_code)
     values (0,1,5,'Manufacturing Date, Most Recent',109,
     '1999-07-12 18:00:00-000000000',0,0,1);

insert into as_chr_dat_type (ac_db_site, ac_db_id, ac_type_code, name,
     default_ru_type, gmt_last_updated, last_upd_db_site, last_upd_db_id, 
     rstat_type_code)
     values (0,1,4,'Insulation Class, NEMA',100,
     '1999-07-12 18:00:00-000000000',0,0,1);

CREATE TABLE asset_chr_data (
 asset_org_site      INTEGER      NOT NULL,
 asset_id            INTEGER      NOT NULL,
 ac_db_site          INTEGER      NOT NULL,
 ac_db_id            INTEGER      NOT NULL,
 ac_type_code        INTEGER      NOT NULL,
 eu_db_site          INTEGER      NOT NULL,
 eu_db_id            INTEGER      NOT NULL,
 eu_type_code        INTEGER      NOT NULL,
 data_value          VARCHAR(254) NOT NULL,
 gmt_last_updated    CHAR(29)     NOT NULL,
 last_upd_db_site    INTEGER      NOT NULL,
 last_upd_db_id      INTEGER      NOT NULL,
 rstat_type_code     SMALLINT     NOT NULL,
    PRIMARY KEY (asset_org_site, asset_id, ac_db_site, ac_db_id, 
        ac_type_code),
    FOREIGN KEY (asset_org_site, asset_id) REFERENCES asset
        (asset_org_site, asset_id),
    FOREIGN KEY (ac_db_site, ac_db_id, ac_type_code) REFERENCES 
        as_chr_dat_type (ac_db_site, ac_db_id, ac_type_code),
    FOREIGN KEY (eu_db_site, eu_db_id, eu_type_code) REFERENCES
        eng_unit_type (eu_db_site, eu_db_id, eu_type_code),
    FOREIGN KEY (last_upd_db_site, last_upd_db_id) REFERENCES 
        site_database (db_site, db_id),
    FOREIGN KEY (rstat_type_code) REFERENCES row_status_type (rstat_type_cod)
 );

insert into asset_chr_data (asset_org_site, asset_id, ac_db_site, ac_db_id,
     ac_type_code, eu_db_site, eu_db_id, eu_type_code, data_value,
     gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code)
     values (1234567890,1234,0,1,3,0,0,241,'F509US',
     '1999-07-12 18:00:00-000000000',0,1,1);

insert into asset_chr_data (asset_org_site, asset_id, ac_db_site, ac_db_id,
     ac_type_code, eu_db_site, eu_db_id, eu_type_code, data_value,
     gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code)
     values (1234567890,1234,0,1,7,0,0,274,'1999-07-01',
     '1999-07-12 18:00:00-000000000',0,1,1);

insert into asset_chr_data (asset_org_site, asset_id, ac_db_site, ac_db_id,
     ac_type_code, eu_db_site, eu_db_id, eu_type_code, data_value,
     gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code)
     values (1234567890,1234,0,1,5,0,0,274,'1996-03-21',
     '1999-07-12 18:00:00-000000000',0,1,1);

insert into asset_chr_data (asset_org_site, asset_id, ac_db_site, ac_db_id,
     ac_type_code, eu_db_site, eu_db_id, eu_type_code, data_value,
     gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code)
     values (1234567890,1234,0,1,4,0,0,241,'B',
     '1999-07-12 18:00:00-000000000',0,1,1);

insert into asset_chr_data (asset_org_site, asset_id, ac_db_site, ac_db_id,
     ac_type_code, eu_db_site, eu_db_id, eu_type_code, data_value,
     gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code)
     values (1234567890,1235,0,1,3,0,0,241,'F508TP',
     '1999-07-12 18:00:00-000000000',0,1,1);

insert into asset_chr_data (asset_org_site, asset_id, ac_db_site, ac_db_id,
     ac_type_code, eu_db_site, eu_db_id, eu_type_code, data_value,
     gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code)
     values (1234567890,1235,0,1,7,0,0,274,'1998-03-14',
     '1999-07-12 18:00:00-000000000',0,1,1);

insert into asset_chr_data (asset_org_site, asset_id, ac_db_site, ac_db_id,
     ac_type_code, eu_db_site, eu_db_id, eu_type_code, data_value,
     gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code)
     values (1234567890,1235,0,1,5,0,0,274,'1992-01-01',
     '1999-07-12 18:00:00-000000000',0,1,1);

insert into asset_chr_data (asset_org_site, asset_id, ac_db_site, ac_db_id,
     ac_type_code, eu_db_site, eu_db_id, eu_type_code, data_value,
     gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code)
     values (1234567890,1235,0,1,4,0,0,241,'B',
     '1999-07-12 18:00:00-000000000',0,1,1);

create table agent_type(
  agent_db_site integer not null,
  agent_db_id integer not null,
  agent_type_code integer not null,
  name varchar(254) not null,
  gmt_last_updated char(29) not null,
  last_upd_db_site integer not null,
  last_upd_db_id integer not null,
  rstat_type_code smallint not null,
      primary key (agent_db_site, agent_db_id, agent_type_code),
      foreign key (agent_db_site, agent_db_id) references
            site_database (db_site, db_id),
      foreign key (last_upd_db_site, last_upd_db_id) references
	      site_database (db_site, db_id),
      foreign key (rstat_type_code) references
		row_status_type (rstat_type_code)
  );

insert into agent_type (agent_db_site, agent_db_id, agent_type_code, name,
         gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code)
         values (0,1,1,'Organization','1999-07-12 18:00:00-000000000',0,1,1);

insert into agent_type (agent_db_site, agent_db_id, agent_type_code, name,
         gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code)
         values (0,1,2,'Group','1999-07-12 18:00:00-000000000',0,1,1);

insert into agent_type (agent_db_site, agent_db_id, agent_type_code, name,
         gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code)
         values (0,1,3,'Individual','1999-07-12 18:00:00-000000000',0,1,1);

insert into agent_type (agent_db_site, agent_db_id, agent_type_code, name,
         gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code)
         values (0,1,4,'Intelligent Agent','1999-07-12 18:00:00-000000000',
         0,1,1);

insert into agent_type (agent_db_site, agent_db_id, agent_type_code, name,
         gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code)
         values (0,1,5,'Software System','1999-07-12 18:00:00-000000000',
         0,1,1);

create table agent (
  org_agent_site integer not null,
  agent_id integer not null,
  agent_db_site integer not null,
  agent_db_id integer not null,
  agent_type_code integer not null,
  name varchar(254) not null,
  gmt_last_updated char(29) not null,
  last_upd_db_site integer not null,
  last_upd_db_id integer not null,
  rstat_type_code smallint not null,
      primary key (org_agent_site, agent_id),
      foreign key (agent_db_site, agent_db_id, agent_type_code)
            references agent_type (agent_db_site, agent_db_id,
            agent_type_code),
      foreign key (last_upd_db_site, last_upd_db_id) references
	      site_database (db_site, db_id),
      foreign key (rstat_type_code) references
	      row_status_type (rstat_type_code)
  );

insert into agent (org_agent_site, agent_id, agent_db_site, agent_db_id,
        agent_type_code, name, gmt_last_updated, last_upd_db_site,
        last_upd_db_id, rstat_type_code) values (1234567890,1,0,1,3,
        'Jones, Walter','1999-06-03 14:01:05-000000000',1234567890,1,1);

insert into agent (org_agent_site, agent_id, agent_db_site, agent_db_id,
        agent_type_code, name, gmt_last_updated, last_upd_db_site,
        last_upd_db_id, rstat_type_code) values (1234567890,2,0,1,2,
        'Maintenance Dept.','1999-06-03 14:01:05-000000000',1234567890,1,1);

insert into agent (org_agent_site, agent_id, agent_db_site, agent_db_id,
        agent_type_code, name, gmt_last_updated, last_upd_db_site,
        last_upd_db_id, rstat_type_code) values (1234567890,3,0,1,3,
        'Planner--Smith','1999-06-03 14:01:05-000000000',1234567890,1,1);

insert into agent (org_agent_site, agent_id, agent_db_site, agent_db_id,
        agent_type_code, name, gmt_last_updated, last_upd_db_site,
        last_upd_db_id, rstat_type_code) values (1234567890,4,0,1,3,
        'Electrician--Peters','1999-06-03 14:01:05-000000000',1234567890,1,1);

create table work_task_type ( 
  task_db_site integer not null,
  task_db_id integer not null,
  task_type_code integer not null,
  name varchar(254) not null,
  gmt_last_updated char(29) not null,
  last_upd_db_site integer not null,
  last_upd_db_id integer not null,
  rstat_type_code smallint not null,
      primary key (task_db_site, task_db_id, task_type_code),
      foreign key (task_db_site, task_db_id) references
            site_database (db_site, db_id),
      foreign key (last_upd_db_site, last_upd_db_id) references
	      site_database (db_site, db_id),
      foreign key (rstat_type_code) references
		row_status_type (rstat_type_code)
  );
 
insert into work_task_type (task_db_site, task_db_id, task_type_code, name,
     gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code)
     values (0,1,18,'Maintenance',
     '1999-06-03 14:01:05-000000000',0,1,1);
insert into work_task_type (task_db_site, task_db_id, task_type_code, name,
     gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code)
     values  (0,1,3,'Repair, Electrical, Rewind',
     '1999-06-03 14:01:05-000000000',0,1,1);
insert into work_task_type (task_db_site, task_db_id, task_type_code, name,
     gmt_last_updated, last_upd_db_site, last_upd_db_id, rstat_type_code)
     values  (0,1,5,'Repair, Mechanical, Balance',
     '1999-06-03 14:01:05-000000000',0,1,1);

create table priority_type (
  priority_type_code integer not null,
  name varchar(254) not null,
  gmt_last_updated char(29) not null,
  last_upd_db_site integer not null,
  last_upd_db_id integer not null,
  rstat_type_code smallint not null,
      primary key (priority_type_code),
      foreign key (last_upd_db_site, last_upd_db_id) references
	      site_database (db_site, db_id),
      foreign key (rstat_type_code) references
		row_status_type (rstat_type_code)
  );

insert into priority_type (priority_type_code, name, gmt_last_updated,
     last_upd_db_site, last_upd_db_id, rstat_type_code) values
     (1,'Low Priority, Level 1', '1999-07-12 18:00:00-000000000',0,1,1);

insert into priority_type (priority_type_code, name, gmt_last_updated,
     last_upd_db_site, last_upd_db_id, rstat_type_code) values
     (5,'Moderate Priority, Level 2','1999-07-12 18:00:00-000000000',0,1,1);

insert into priority_type (priority_type_code, name, gmt_last_updated,
     last_upd_db_site, last_upd_db_id, rstat_type_code) values
     (9,'High Priority, Level 3','1999-07-12 18:00:00-000000000',0,1,1);

create table work_manage_type (
  wm_type_db_site integer not null,
  wm_type_db_id integer not null,
  wm_type_code integer not null,
  name varchar(254) not null,
  gmt_last_updated char(29)not null,
  last_upd_db_site integer not null,
  last_upd_db_id integer not null,
  rstat_type_code smallint not null,
      primary key (wm_type_db_site, wm_type_db_id, wm_type_code),
      foreign key (last_upd_db_site, last_upd_db_id) references
	      site_database (db_site, db_id),
      foreign key (rstat_type_code) references
		row_status_type (rstat_type_code)
  );

insert into work_manage_type (wm_type_db_site, wm_type_db_id, wm_type_code,
     name, gmt_last_updated, last_upd_db_site, last_upd_db_id, 
     rstat_type_code) values (0,1,5,'Maintenance, Condition-based', 
     '1999-07-12 18:00:00-000000000',0,1,1);

create table solution_pack_type (
  sol_db_site integer not null,
  sol_db_id integer not null,
  sol_type_code integer not null,
  name varchar(29) not null,
  gmt_last_updated char(29) not null,
  last_upd_db_site integer not null,
  last_upd_db_id integer not null,
  rstat_type_code smallint not null,
      primary key (sol_db_site, sol_db_id, sol_type_code),
      foreign key (sol_db_site, sol_db_id) references
            site_database (db_site, db_id),
      foreign key (last_upd_db_site, last_upd_db_id) references
	      site_database (db_site, db_id),
      foreign key (rstat_type_code) references
		row_status_type (rstat_type_code)
  );

insert into solution_pack_type (sol_db_site, sol_db_id, 
     sol_type_code, name, gmt_last_updated, last_upd_db_site, 
     last_upd_db_id, rstat_type_code) values (0,1,1,
     'Pre-planned Work','1999-07-12 18:00:00-000000000',0,1,1);

create table solution_package (
  sol_pack_db_site integer NOT NULL,
  sol_pack_db_id integer NOT NULL,
  sol_pack_id integer NOT NULL,
  sol_db_site integer NOT NULL,
  sol_db_id integer NOT NULL,
  sol_type_code integer NOT NULL,
  gmt_created char(29),
  loc_hr_delta smallint,
  loc_min_delta smallint,
  priority_type_code integer,
  user_tag_ident varchar(254) NOT NULL,
  name varchar(254),
  gmt_last_updated char(29)not null,
  last_upd_db_site integer not null,
  last_upd_db_id integer not null,
  rstat_type_code smallint not null,
      primary key (sol_pack_db_site, sol_pack_db_id, sol_pack_id),
      foreign key (sol_pack_db_site, sol_pack_db_id)
	      references site_database (db_site, db_id),
      foreign key (sol_db_site, sol_db_id, sol_type_code)
            references solution_pack_type (sol_db_site, sol_db_id,
            sol_type_code),
	foreign key (priority_type_code) references 
		priority_type (priority_type_code),
      foreign key (last_upd_db_site, last_upd_db_id) references
	      site_database (db_site, db_id),
      foreign key (rstat_type_code) references
		row_status_type (rstat_type_code)
);

insert into solution_package (sol_pack_db_site, sol_pack_db_id,
      sol_pack_id, sol_db_site, sol_db_id, sol_type_code, gmt_created,
      loc_hr_delta, loc_min_delta, priority_type_code, user_tag_ident,
      name, gmt_last_updated, last_upd_db_site, last_upd_db_id,
      rstat_type_code) values (1234567890,1,1,0,1,1,
      '1999-07-12 18:00:00-000000000',-5,0,5,'Motor Balance Package',
      null,'1999-07-12 18:00:00-000000000',0,1,1);

insert into solution_package (sol_pack_db_site, sol_pack_db_id,
      sol_pack_id, sol_db_site, sol_db_id, sol_type_code, gmt_created,
      loc_hr_delta, loc_min_delta, priority_type_code, user_tag_ident,
      name, gmt_last_updated, last_upd_db_site, last_upd_db_id,
      rstat_type_code) values (1234567890,1,2,0,1,1,
      '1999-07-15 18:00:00-000000000',-5,0,5,'Motor Rewind Package',
      null,'1999-07-12 18:00:00-000000000',0,1,1);

CREATE TABLE work_order (
 work_order_db_site  INTEGER      NOT NULL,
 work_order_db_id    INTEGER      NOT NULL,
 work_order_id       INTEGER      NOT NULL,
 wm_type_db_site     INTEGER,
 wm_type_db_id       INTEGER,
 wm_type_code        INTEGER,
 gmt_created         CHAR(29),
 loc_hr_delta        SMALLINT,
 loc_min_delta       SMALLINT,
 by_agent_site       INTEGER,
 by_agent_id         INTEGER,
 start_before_gmt    CHAR(29),
 end_before_gmt      CHAR(29),
 start_after_gmt     CHAR(29),
 end_after_gmt       CHAR(29),
 repeat_interval     INTEGER,
 int_eu_db_site      INTEGER,
 int_eu_db_id        INTEGER,
 int_eu_type_code    INTEGER,
 from_sy_agent_site  INTEGER,
 from_sy_agent_id    INTEGER,
 to_agent_site       INTEGER,
 to_agent_id         INTEGER,
 priority_type_code  INTEGER,
 user_tag_ident      VARCHAR(254) NOT NULL,
 abbrev              VARCHAR(254),
 name                VARCHAR(254),
 gmt_last_updated    CHAR(29)     NOT NULL,
 last_upd_db_site    INTEGER      NOT NULL,
 last_upd_db_id      INTEGER      NOT NULL,
 rstat_type_code     SMALLINT     NOT NULL,
    PRIMARY KEY (work_order_db_site, work_order_db_id, work_order_id),
    FOREIGN KEY (work_order_db_site, work_order_db_id) REFERENCES site_database(db_site, db_id),
    FOREIGN KEY (wm_type_db_site, wm_type_db_id, wm_type_code) REFERENCES work_manage_type(wm_type_db_site, wm_type_db_id, wm_type_code),
    FOREIGN KEY (by_agent_site, by_agent_id) REFERENCES agent(org_agent_site, agent_id),
    FOREIGN KEY (int_eu_db_site, int_eu_db_id, int_eu_type_code) REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code),
    FOREIGN KEY (from_sy_agent_site, from_sy_agent_id) REFERENCES agent(org_agent_site, agent_id),
    FOREIGN KEY (to_agent_site, to_agent_id) REFERENCES agent(org_agent_site, agent_id),
    FOREIGN KEY (priority_type_code) REFERENCES priority_type(priority_type_code),
    FOREIGN KEY site_db (last_upd_db_site, last_upd_db_id) REFERENCES site_database (db_site, db_id),
    FOREIGN KEY (rstat_type_code) REFERENCES row_status_type (rstat_type_cod)
 );

insert into work_order values (1234567890, 1, 1, 0, 1, 5, '2000-03-16 12:00:00-000000000',
      -5, 0, 1234567890, 1, '2000-03-29 12:00:00-000000000', null, null, null, null, null, null, null,
	null, null, 1234567890, 2, 9, 'WO34253', 'Work Order #34253', null, '2000-03-16 12:00:00-000000000', 0, 1, 1);

CREATE TABLE work_order_step (
 work_order_db_site  INTEGER      NOT NULL,
 work_order_db_id    INTEGER      NOT NULL,
 work_order_id       INTEGER      NOT NULL,
 work_ord_step_seq   INTEGER      NOT NULL,
 gmt_created         CHAR(29),
 loc_hr_delta        SMALLINT,
 loc_min_delta       SMALLINT,
 by_agent_site       INTEGER,
 by_agent_id         INTEGER,
 sol_pack_db_site    INTEGER,
 sol_pack_db_id      INTEGER,
 sol_pack_id         INTEGER,
 start_before_gmt    CHAR(29),
 end_before_gmt      CHAR(29),
 start_after_gmt     CHAR(29),
 end_after_gmt       CHAR(29),
 from_sy_agent_site  INTEGER,
 from_sy_agent_id    INTEGER,
 to_agent_site       INTEGER,
 to_agent_id         INTEGER,
 priority_type_code  INTEGER,
 user_tag_ident      VARCHAR(254) NOT NULL,
 abbrev              VARCHAR(254),
 name                VARCHAR(254),
 gmt_last_updated    CHAR(29)     NOT NULL,
 last_upd_db_site    INTEGER      NOT NULL,
 last_upd_db_id      INTEGER      NOT NULL,
 rstat_type_code     SMALLINT     NOT NULL,
    PRIMARY KEY (work_order_db_site, work_order_db_id, work_order_id, work_ord_step_seq),
    FOREIGN KEY (work_order_db_site, work_order_db_id, work_order_id) REFERENCES work_order(work_order_db_site, work_order_db_id, work_order_id),
    FOREIGN KEY (by_agent_site, by_agent_id) REFERENCES agent(org_agent_site, agent_id),
    FOREIGN KEY (sol_pack_db_site, sol_pack_db_id, sol_pack_id) REFERENCES solution_package (sol_pack_db_site, sol_pack_db_id, sol_pack_id),
    FOREIGN KEY (from_sy_agent_site, from_sy_agent_id) REFERENCES agent(org_agent_site, agent_id),
    FOREIGN KEY (to_agent_site, to_agent_id) REFERENCES agent(org_agent_site, agent_id),
    FOREIGN KEY (priority_type_code) REFERENCES priority_type(priority_type_code),
    FOREIGN KEY site_db (last_upd_db_site, last_upd_db_id) REFERENCES site_database (db_site, db_id),
    FOREIGN KEY (rstat_type_code) REFERENCES row_status_type (rstat_type_cod)
 );

insert into work_order_step values (1234567890, 1, 1, 1, '2000-03-16 13:00:00-000000000', -5, 0, 1234567890,
      3, 1234567890, 1, 2, null, null, null, null, null, null, 1234567890, 4, 9, 'Rewind motor',
      'Electrical monitoring indicates need for motor rewind.',null,'2000-03-16 13:00:00-000000000', 0, 1, 1);

create table work_audit_type (
  waudit_db_site integer NOT NULL,
  waudit_db_id integer NOT NULL,
  waudit_type_code integer NOT NULL,
  name varchar(254) NOT NULL,
  gmt_last_updated char(29) NOT NULL,
  last_upd_db_site integer NOT NULL,
  last_upd_db_id integer NOT NULL,
  rstat_type_code smallint NOT NULL,
      primary key (waudit_db_site, waudit_db_id, waudit_type_code),
      foreign key (waudit_db_site, waudit_db_id) references
            site_database (db_site, db_id),
      foreign key (last_upd_db_site, last_upd_db_id) references
	      site_database (db_site, db_id),
      foreign key (rstat_type_code) references
		row_status_type (rstat_type_code)
  );

insert into work_audit_type (waudit_db_site, waudit_db_id, waudit_type_code, 
     name, gmt_last_updated, last_upd_db_site, last_upd_db_id, 
     rstat_type_code) values (0,1,1,'Submitted / Sent', 
     '1999-07-12 18:00:00-000000000',0,1,1);
insert into work_audit_type (waudit_db_site, waudit_db_id, waudit_type_code, 
     name, gmt_last_updated, last_upd_db_site, last_upd_db_id, 
     rstat_type_code) values (0,1,2,'Waiting for Approval', 
     '1999-07-12 18:00:00-000000000',0,1,1);
insert into work_audit_type (waudit_db_site, waudit_db_id, waudit_type_code, 
     name, gmt_last_updated, last_upd_db_site, last_upd_db_id, 
     rstat_type_code) values (0,1,3,'Approved / Accepted', 
     '1999-07-12 18:00:00-000000000',0,1,1);
insert into work_audit_type (waudit_db_site, waudit_db_id, waudit_type_code, 
     name, gmt_last_updated, last_upd_db_site, last_upd_db_id, 
     rstat_type_code) values (0,1,4,'Canceled / Rejected', 
     '1999-07-12 18:00:00-000000000',0,1,1);
insert into work_audit_type (waudit_db_site, waudit_db_id, waudit_type_code, 
     name, gmt_last_updated, last_upd_db_site, last_upd_db_id, 
     rstat_type_code) values (0,1,5,'Waiting to be Planned', 
     '1999-07-12 18:00:00-000000000',0,1,1);
insert into work_audit_type (waudit_db_site, waudit_db_id, waudit_type_code, 
     name, gmt_last_updated, last_upd_db_site, last_upd_db_id, 
     rstat_type_code) values (0,1,6,'Planned', 
     '1999-07-12 18:00:00-000000000',0,1,1);
insert into work_audit_type (waudit_db_site, waudit_db_id, waudit_type_code, 
     name, gmt_last_updated, last_upd_db_site, last_upd_db_id, 
     rstat_type_code) values (0,1,7,'Waiting to be Scheduled', 
     '1999-07-12 18:00:00-000000000',0,1,1);
insert into work_audit_type (waudit_db_site, waudit_db_id, waudit_type_code, 
     name, gmt_last_updated, last_upd_db_site, last_upd_db_id, 
     rstat_type_code) values (0,1,8,'Scheduled', 
     '1999-07-12 18:00:00-000000000',0,1,1);
insert into work_audit_type (waudit_db_site, waudit_db_id, waudit_type_code, 
     name, gmt_last_updated, last_upd_db_site, last_upd_db_id, 
     rstat_type_code) values (0,1,9,'Started', 
     '1999-07-12 18:00:00-000000000',0,1,1);
insert into work_audit_type (waudit_db_site, waudit_db_id, waudit_type_code, 
     name, gmt_last_updated, last_upd_db_site, last_upd_db_id, 
     rstat_type_code) values (0,1,10,'Started - Waiting on Material', 
     '1999-07-12 18:00:00-000000000',0,1,1);
insert into work_audit_type (waudit_db_site, waudit_db_id, waudit_type_code, 
     name, gmt_last_updated, last_upd_db_site, last_upd_db_id, 
     rstat_type_code) values (0,1,11,'Started - Waiting on Personnel', 
     '1999-07-12 18:00:00-000000000',0,1,1);
insert into work_audit_type (waudit_db_site, waudit_db_id, waudit_type_code, 
     name, gmt_last_updated, last_upd_db_site, last_upd_db_id, 
     rstat_type_code) values (0,1,12,'Completed', 
     '1999-07-12 18:00:00-000000000',0,1,1);
insert into work_audit_type (waudit_db_site, waudit_db_id, waudit_type_code, 
     name, gmt_last_updated, last_upd_db_site, last_upd_db_id, 
     rstat_type_code) values (0,1,13,'Closed', 
     '1999-07-12 18:00:00-000000000',0,1,1);

create table work_order_audit (
  work_order_db_site integer NOT NULL,
  work_order_db_id integer NOT NULL,
  work_order_id integer NOT NULL,
  waudit_db_site integer NOT NULL,
  waudit_db_id integer NOT NULL,
  waudit_type_code integer NOT NULL,
  gmt_audit_posted char(29) NOT NULL,
  loc_hr_delta smallint,
  loc_min_delta smallint,
  by_agent_site integer,
  by_agent_id integer,
  from_sy_agent_site integer,
  from_sy_agent_id integer,
  gmt_last_updated char(29) NOT NULL,
  last_upd_db_site integer NOT NULL,
  last_upd_db_id integer NOT NULL,
  rstat_type_code smallint NOT NULL,
      primary key (work_order_db_site, work_order_db_id, work_order_id,
            waudit_db_site, waudit_db_id, waudit_type_code,
            gmt_audit_posted),
      foreign key (work_order_db_site, work_order_db_id, work_order_id)
		references work_order (work_order_db_site, work_order_db_id,
		work_order_id),
      foreign key (waudit_db_site, waudit_db_id, waudit_type_code)
	      references work_audit_type (waudit_db_site, 
	      waudit_db_id, waudit_type_code),
	foreign key (by_agent_site, by_agent_id) references
		agent (org_agent_site, agent_id),
	foreign key (from_sy_agent_site, from_sy_agent_id) references
		agent (org__agent_site, agent_id),
      foreign key (last_upd_db_site, last_upd_db_id) references
	      site_database (db_site, db_id),
      foreign key (rstat_type_code) references
		row_status_type (rstat_type_code)
);

insert into work_order_audit values (1234567890, 1, 1, 0, 1, 3, '2000-03-15 13:00:00-000000000', -5, 0, null, null, null, null, '2000-04-01 22:00:00-000000000', 0, 1, 1);
insert into work_order_audit values (1234567890, 1, 1, 0, 1, 6, '2000-03-16 17:00:00-000000000', -5, 0, null, null, null, null, '2000-04-01 22:00:00-000000000', 0, 1, 1);
insert into work_order_audit values (1234567890, 1, 1, 0, 1, 8, '2000-03-18 13:00:00-000000000', -5, 0, null, null, null, null, '2000-04-01 22:00:00-000000000', 0, 1, 1);
insert into work_order_audit values (1234567890, 1, 1, 0, 1, 9, '2000-03-30 08:00:00-000000000', -5, 0, null, null, null, null, '2000-04-01 22:00:00-000000000', 0, 1, 1);
insert into work_order_audit values (1234567890, 1, 1, 0, 1, 12, '2000-04-01 12:00:00-000000000', -5, 0, null, null, null, null, '2000-04-01 22:00:00-000000000', 0, 1, 1);
insert into work_order_audit values (1234567890, 1, 1, 0, 1, 13, '2000-04-01 22:00:00-000000000', -5, 0, null, null, null, null, '2000-04-01 22:00:00-000000000', 0, 1, 1);

create table as_completed_work (
  asset_org_site integer NOT NULL,
  asset_id integer NOT NULL,
  task_db_site integer NOT NULL,
  task_db_id integer NOT NULL,
  task_type_code integer NOT NULL,
  gmt_completed char(29) NOT NULL,
  cp_loc_hr_delta smallint,
  cp_loc_min_delta smallint,
  gmt_started char(29),
  st_loc_hr_delta smallint,
  st_loc_min_delta smallint,
  by_agent_site integer,
  by_agent_id integer,
  from_sy_agent_site integer,
  from_sy_agent_id integer,
  priority_type_code integer,
  work_order_db_site integer,
  work_order_db_id integer,
  work_order_id integer,
  work_order_step_seq integer,
  abbrev varchar(254) NOT NULL,
  name varchar(254),
  gmt_last_updated char(29) NOT NULL,
  last_upd_db_site integer NOT NULL,
  last_upd_db_id integer NOT NULL,
  rstat_type_code smallint NOT NULL,
      primary key (asset_org_site, asset_id, task_db_site, task_db_id,
            task_type_code, gmt_completed),
      foreign key (asset_org_site, asset_id) references asset (asset_org_site,
            asset_id),
      foreign key (task_db_site, task_db_id, task_type_code) references
            work_task_type (task_db_site, task_db_id, task_type_code),
      foreign key (by_agent_site, by_agent_id) references
		agent (org_agent_site, agent_id),
	foreign key (from_sy_agent_site, from_sy_agent_id) references
		agent (org__agent_site, agent_id),
      foreign key (priority_type_code) references priority_type
            (priority_type_code),
      foreign key (work_order_db_site, work_order_db_id, work_order_id, work_order_step_seq) references
		work_order_step (work_order_db_site, work_order_db_id, work_order_id, work_order_step_seq),
      foreign key (last_upd_db_site, last_upd_db_id) references
	      site_database (db_site, db_id),
      foreign key (rstat_type_code) references
		row_status_type (rstat_type_code)
);

insert into as_completed_work 
     values
     (1234567890, 1234, 0, 1, 3, '2000-04-01 12:00:00-000000000',
      -5, 0, '2000-03-30 08:00:00-000000000', -5, 0, 1234567890,
      1, null, null, 9, 123456789, 1, 1, 1, 'Rewind motor',
      'Electrical monitoring indicates need for motor rewind.',
      '2000-04-01 12:00:00-000000000', 0, 1, 1);
